Bug 1249401 - [abrt] libreoffice-core: ContentNode::Len(): soffice.bin killed by SIGSEGV
[abrt] libreoffice-core: ContentNode::Len(): soffice.bin killed by SIGSEGV
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8986f32639fea4030ef75743630...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-02 09:53 EDT by zbechir
Modified: 2015-09-07 03:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-07 03:32:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (68.79 KB, text/plain)
2015-08-02 09:53 EDT, zbechir
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-02 09:53 EDT, zbechir
no flags Details
File: core_backtrace (9.21 KB, text/plain)
2015-08-02 09:53 EDT, zbechir
no flags Details
File: dso_list (30.55 KB, text/plain)
2015-08-02 09:53 EDT, zbechir
no flags Details
File: environ (1.78 KB, text/plain)
2015-08-02 09:53 EDT, zbechir
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-02 09:53 EDT, zbechir
no flags Details
File: maps (143.40 KB, text/plain)
2015-08-02 09:54 EDT, zbechir
no flags Details
File: mountinfo (3.15 KB, text/plain)
2015-08-02 09:54 EDT, zbechir
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-02 09:54 EDT, zbechir
no flags Details
File: open_fds (3.79 KB, text/plain)
2015-08-02 09:54 EDT, zbechir
no flags Details
File: proc_pid_status (1021 bytes, text/plain)
2015-08-02 09:54 EDT, zbechir
no flags Details
File: var_log_messages (284 bytes, text/plain)
2015-08-02 09:54 EDT, zbechir
no flags Details

  None (edit)
Description zbechir 2015-08-02 09:53:28 EDT
Version-Release number of selected component:
libreoffice-core-4.4.4.3-6.fc22

Additional info:
reporter:       libreport-2.6.1
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc file:///home/bechir/Documents/Conversion.ods --splash-pipe=5
crash_function: ContentNode::Len
executable:     /usr/lib64/libreoffice/program/soffice.bin
global_pid:     19707
kernel:         4.1.2-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ContentNode::Len at /usr/src/debug/libreoffice-4.4.4.3/editeng/source/editeng/editdoc.cxx:1662
 #1 ImpEditEngine::CursorMoved at /usr/src/debug/libreoffice-4.4.4.3/editeng/source/editeng/impedit2.cxx:700
 #2 EditEngine::CursorMoved at /usr/src/debug/libreoffice-4.4.4.3/editeng/source/editeng/editeng.cxx:644
 #3 EditView::SetSelection at /usr/src/debug/libreoffice-4.4.4.3/editeng/source/editeng/editview.cxx:207
 #4 lcl_SetTopSelection at /usr/src/debug/libreoffice-4.4.4.3/sc/source/ui/app/inputhdl.cxx:2024
 #5 ScInputHandler::SyncViews at /usr/src/debug/libreoffice-4.4.4.3/sc/source/ui/app/inputhdl.cxx:2043
 #6 ScInputHandler::InputSelection at /usr/src/debug/libreoffice-4.4.4.3/sc/source/ui/app/inputhdl.cxx:3620
 #7 ImplHandleMouseEvent at /usr/src/debug/libreoffice-4.4.4.3/vcl/source/window/winproc.cxx:739
 #8 ImplHandleSalMouseButtonUp at /usr/src/debug/libreoffice-4.4.4.3/vcl/source/window/winproc.cxx:1988
 #9 ImplWindowFrameProc at /usr/src/debug/libreoffice-4.4.4.3/vcl/source/window/winproc.cxx:2343
Comment 1 zbechir 2015-08-02 09:53:38 EDT
Created attachment 1058500 [details]
File: backtrace
Comment 2 zbechir 2015-08-02 09:53:42 EDT
Created attachment 1058501 [details]
File: cgroup
Comment 3 zbechir 2015-08-02 09:53:44 EDT
Created attachment 1058502 [details]
File: core_backtrace
Comment 4 zbechir 2015-08-02 09:53:47 EDT
Created attachment 1058503 [details]
File: dso_list
Comment 5 zbechir 2015-08-02 09:53:51 EDT
Created attachment 1058504 [details]
File: environ
Comment 6 zbechir 2015-08-02 09:53:53 EDT
Created attachment 1058505 [details]
File: limits
Comment 7 zbechir 2015-08-02 09:54:08 EDT
Created attachment 1058506 [details]
File: maps
Comment 8 zbechir 2015-08-02 09:54:11 EDT
Created attachment 1058507 [details]
File: mountinfo
Comment 9 zbechir 2015-08-02 09:54:13 EDT
Created attachment 1058508 [details]
File: namespaces
Comment 10 zbechir 2015-08-02 09:54:16 EDT
Created attachment 1058509 [details]
File: open_fds
Comment 11 zbechir 2015-08-02 09:54:18 EDT
Created attachment 1058510 [details]
File: proc_pid_status
Comment 12 zbechir 2015-08-02 09:54:20 EDT
Created attachment 1058511 [details]
File: var_log_messages
Comment 13 David Tardon 2015-08-03 04:08:42 EDT
Can the crash be reproduced?

Note You need to log in before you can comment on or make changes to this bug.